DGESC2(3f)

NAME
DGESC2 - a system of linear equations A * X = scale* RHS with a general N-by-N matrix A using the LU factorization with complete pivoting computed by DGETC2

SYNOPSIS

SUBROUTINE DGESC2(
    N, A, LDA, RHS, IPIV, JPIV, SCALE )

INTEGER
    LDA, N

DOUBLE
    PRECISION SCALE

INTEGER
    IPIV( * ), JPIV( * )

DOUBLE
    PRECISION A( LDA, * ), RHS( * )

PURPOSE
DGESC2 solves a system of linear equations

ARGUMENTS

N       (input) INTEGER
    The order of the matrix A.

A       (input) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the LU part of the factorization of the n-by-n matrix A computed by DGETC2: A = P * L * U * Q

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1, N).

RHS     (input/output) DOUBLE PRECISION array, dimension (N).
    On entry, the right hand side vector b. On exit, the solution vector X.

IPIV    (input) INTEGER array, dimension (N).
    The pivot indices; for 1 <= i <= N, row i of the matrix has been interchanged with row IPIV(i).

JPIV    (input) INTEGER array, dimension (N).
    The pivot indices; for 1 <= j <= N, column j of the matrix has been interchanged with column JPIV(j).

SCALE    (output) DOUBLE PRECISION
    On exit, SCALE contains the scale factor. SCALE is chosen 0 <= SCALE <= 1 to prevent owerflow in the solution.

FURTHER DETAILS
Based on contributions by
   Bo Kagstrom and Peter Poromaa, Department of Computing Science,
   Umea University, S-901 87 Umea, Sweden.